# -*- coding: utf-8 -*-
from rest_framework import routers

from . import views

router = routers.SimpleRouter()
router.register(
    r'(?P<profile>\w+)/organization-address',
    views.OrganizationAddressViewSet,
)
router.register(
    r'(?P<profile>\w+)/email-typology',
    views.EmailTypologyViewSet,
)
router.register(
    r'(?P<profile>\w+)/phone-typology',
    views.PhoneTypologyViewSet,
)
router.register(
    r'(?P<profile>\w+)/organization-type',
    views.OrganizationTypeViewSet,
)
router.register(
    r'(?P<profile>\w+)/organization-form',
    views.OrganizationFormViewSet,
)
router.register(
    r'(?P<profile>\w+)/organization',
    views.OrganizationViewSet,
)
router.register(
    r'(?P<profile>\w+)/owner-organization',
    views.OwnerOrganizationViewSet,
)
router.register(
    r'(?P<profile>\w+)/organization-email',
    views.OrganizationEmailViewSet,
)
router.register(
    r'(?P<profile>\w+)/organization-phone',
    views.OrganizationPhoneViewSet,
)
router.register(
    r'(?P<profile>\w+)/organization-social-page',
    views.OrganizationSocialPageViewSet,
)
router.register(
    r'(?P<profile>\w+)/contact-role',
    views.ContactRoleViewSet,
)
router.register(
    r'(?P<profile>\w+)/contact-title',
    views.ContactTitleViewSet,
)
router.register(
    r'(?P<profile>\w+)/contact',
    views.ContactViewSet,
)
router.register(
    r'(?P<profile>\w+)/owner-contact',
    views.OwnerContactViewSet,
)
router.register(
    r'(?P<profile>\w+)/contact-email',
    views.ContactEmailViewSet,
)
router.register(
    r'(?P<profile>\w+)/contact-phone',
    views.ContactPhoneViewSet,
)
router.register(
    r'(?P<profile>\w+)/contact-social-account',
    views.ContactSocialAccountViewSet,
)
urlpatterns = router.urls
