# -*- coding: utf-8 -*-
from django.apps import AppConfig
from django.utils.translation import gettext_lazy as _


class OrganizationConfig(AppConfig):
    name = 'thx.organization'
    label = 'organization'
    verbose_name = _('Organization')

    def ready(self):
        from .models import load_swapped_contact_proxy, load_swapped_organization_proxy
        load_swapped_contact_proxy()
        load_swapped_organization_proxy()
