# -*- coding: utf-8 -*-

from django.db import models


class OwnerOrganizationManager(models.Manager):
    def get_queryset(self):
        qs = super().get_queryset()
        return qs.filter(organization_type__category='com')


class OwnerContactManager(models.Manager):
    def get_queryset(self):
        qs = super().get_queryset()
        return qs.filter(organization__organization_type__category='com')
