# -*- coding: utf-8 -*-
from thx.role.core.filters import ThxRoleFilterBackend


class OrganizationAddressFilterBackend(ThxRoleFilterBackend):
    def default_filter_queryset(self, request, queryset, view):
        profile = view.ar.profile
        if profile == 'superuser':
            return queryset
        if profile == 'staff':
            return queryset
        return queryset.none()


class EmailTypologyFilterBackend(ThxRoleFilterBackend):
    def default_filter_queryset(self, request, queryset, view):
        profile = view.ar.profile
        if profile == 'superuser':
            return queryset
        if profile == 'staff':
            return queryset
        return queryset.none()


class PhoneTypologyFilterBackend(ThxRoleFilterBackend):
    def default_filter_queryset(self, request, queryset, view):
        profile = view.ar.profile
        if profile == 'superuser':
            return queryset
        if profile == 'staff':
            return queryset
        return queryset.none()


class OrganizationTypeFilterBackend(ThxRoleFilterBackend):
    def default_filter_queryset(self, request, queryset, view):
        profile = view.ar.profile
        if profile == 'superuser':
            return queryset
        if profile == 'staff':
            return queryset
        return queryset.none()


class OrganizationFormFilterBackend(ThxRoleFilterBackend):
    def default_filter_queryset(self, request, queryset, view):
        profile = view.ar.profile
        if profile == 'superuser':
            return queryset
        if profile == 'staff':
            return queryset
        return queryset.none()


class OrganizationFilterBackend(ThxRoleFilterBackend):
    def default_filter_queryset(self, request, queryset, view):
        profile = view.ar.profile
        if profile == 'superuser':
            return queryset
        if profile == 'staff':
            return queryset
        return queryset.none()


class OwnerOrganizationFilterBackend(ThxRoleFilterBackend):
    def default_filter_queryset(self, request, queryset, view):
        profile = view.ar.profile
        if profile == 'superuser':
            return queryset
        if profile == 'staff':
            return queryset
        return queryset.none()


class OrganizationEmailFilterBackend(ThxRoleFilterBackend):
    def default_filter_queryset(self, request, queryset, view):
        profile = view.ar.profile
        if profile == 'superuser':
            return queryset
        if profile == 'staff':
            return queryset
        return queryset.none()


class OrganizationPhoneFilterBackend(ThxRoleFilterBackend):
    def default_filter_queryset(self, request, queryset, view):
        profile = view.ar.profile
        if profile == 'superuser':
            return queryset
        if profile == 'staff':
            return queryset
        return queryset.none()


class OrganizationSocialPageFilterBackend(ThxRoleFilterBackend):
    def default_filter_queryset(self, request, queryset, view):
        profile = view.ar.profile
        if profile == 'superuser':
            return queryset
        if profile == 'staff':
            return queryset
        return queryset.none()


class ContactRoleFilterBackend(ThxRoleFilterBackend):
    def default_filter_queryset(self, request, queryset, view):
        profile = view.ar.profile
        if profile == 'superuser':
            return queryset
        if profile == 'staff':
            return queryset
        return queryset.none()


class ContactTitleFilterBackend(ThxRoleFilterBackend):
    def default_filter_queryset(self, request, queryset, view):
        profile = view.ar.profile
        if profile == 'superuser':
            return queryset
        if profile == 'staff':
            return queryset
        return queryset.none()


class ContactFilterBackend(ThxRoleFilterBackend):
    def default_filter_queryset(self, request, queryset, view):
        profile = view.ar.profile
        if profile == 'superuser':
            return queryset
        if profile == 'staff':
            return queryset
        return queryset.none()


class OwnerContactFilterBackend(ThxRoleFilterBackend):
    def default_filter_queryset(self, request, queryset, view):
        profile = view.ar.profile
        if profile == 'superuser':
            return queryset
        if profile == 'staff':
            return queryset
        return queryset.none()


class ContactEmailFilterBackend(ThxRoleFilterBackend):
    def default_filter_queryset(self, request, queryset, view):
        profile = view.ar.profile
        if profile == 'superuser':
            return queryset
        if profile == 'staff':
            return queryset
        return queryset.none()


class ContactPhoneFilterBackend(ThxRoleFilterBackend):
    def default_filter_queryset(self, request, queryset, view):
        profile = view.ar.profile
        if profile == 'superuser':
            return queryset
        if profile == 'staff':
            return queryset
        return queryset.none()


class ContactSocialAccountFilterBackend(ThxRoleFilterBackend):
    def default_filter_queryset(self, request, queryset, view):
        profile = view.ar.profile
        if profile == 'superuser':
            return queryset
        if profile == 'staff':
            return queryset
        return queryset.none()
